/*
 * base64.hpp
 *
 * This file is part of AirVPN's hummingbird Linux/macOS OpenVPN Client software.
 * Copyright (C) 2019-2022 AirVPN (support@airvpn.org) / https://airvpn.org
 *
 * Developed by ProMIND
 *
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Hummingbird. If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef _BASE64_HPP_
#define _BASE64_HPP_

#include <vector>
#include <string>

typedef unsigned char BYTE;

class Base64
{
    public:

        static std::string encode(const std::vector<BYTE> &byteVector);
        static std::string encode(const BYTE *byteVector, unsigned int vectorLength);
        static std::vector<BYTE> decodeToByte(std::string encodedString);
        static std::string decodeToString(const std::string &encodedString);
};

#endif
